Subject: [bug#27888] [PATCH 01/18] gnu: python@3: Update to 3.6.2.

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 18 Oct 2017 23:17:55 +0200

Hi Marius and Leo,

> Leo Famulari <[email-masked]> writes:
>
>> On Mon, Jul 31, 2017 at 10:07:18PM +0200, Marius Bakke wrote:
>>> * gnu/packages/patches/python-3.5-fix-tests.patch: Rename to ...
>>> * gnu/packages/patches/python-3-fix-tests.patch: ... this. Adjust and disable
>>> more tests.
>>> * gnu/packages/patches/python-3.5-getentropy-on-old-kernels.patch: Delete file.
>>
>> I'm curious, do you know if they handled this issue upstream in a
>> reliable way, or is getentropy() simply unused in Python 3.6?
>
> The getentropy fix for 3.5 was a port of "random.c" from 3.6 + the fix %
> 3.5 specific behaviour. Since 3.6.2 was just released it should have
> it. Most hunks are there, but didn't verify all.
>
>> Also, do you have any idea about the state of the bytecode timestamp
>> issue, which is related to the problem with the bytecode cache? I can
>> work on that on python-updates when you push it.
>
> Yes. You might have seen this:
>
> https://github.com/NixOS/nixpkgs/pull/25916
>
> NixOS patches the interpreter to unconditionally set bytecode timestamps
> to epoch 1. Now I also found this:
>
> https://github.com/python/cpython/pull/296
>
> So I think we only need that patch and to set PYTHONHASHSEED to some
> deterministic value in python-build-system. 
>
> I can give it a go next weekend if you're busy, but more than happy to
> share the workload :-)

I hope you don’t mind me asking: is there any progress here?  Anything
blocking that I could help with?

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net